<?php

/*
*
* WP Licensing system Plugin WordPress
* It doesn't work witout WP Licensing System Installed On your Wordpress Blog
* File Name: generate.class.php
* All Right reserved by law, You're not authorized to modified, edit, or distribute without right!
* (c) WPDeveloper, CV. 2013
*
*/

if (!defined('ABSPATH')){
	header("HTTP/1.0 404 Not Found");
	exit('<h1>Not Found</h1>The requested URL '.$_SERVER['SCRIPT_NAME'].' was not found on this server.'); //Exit if accessed directly
}

/*****************LICENSING GENERATE NEW KEY FUNCTIONS*********************/

function wp_licensing_generate_key() {
	global $wpdb, $wls_version, $woocom;

	if(!wls_serial_valid()){
		wls_license ();
	}
	else {
		$con = $wpdb->get_row("SELECT * FROM {$wpdb->prefix}licensing_setting WHERE id = '1'");
		$weburl = get_wpls_option('siteurl');

		if($_POST['gen_key'] == 'true'){
			if(!empty($_POST['product'])):
				$product = $_POST['product'];
				$orderid = 'Admin-'.time();
				$email = 'none';
				$expiry = $_POST['expire'];
				$allow = $_POST['allow'];
				$invoice = md5($orderid);
				
				wls_licensing_genkey($product, $orderid, $email, $expiry, $allow, $invoice);
				
				echo '<div class="updated"><p>New License key for <b>'.$domain.'</b> has been generated.</p></div>';
	?>
	<script type="text/javascript">
		<!--
			window.location= 'admin.php?page=wp_licensing_manager';
		//-->
	</script>
	<?php
			else:
				echo '<div class="error"><p>Product can\'t be empty!</p></div>';
			endif;
		}
	?>

	<div class="wrap nosubsub">
		<h2>WP Licensing System &rarr; Generate New License</h2>
		<div class="updated">
			<p>Before creating or editing you can setup WLS <a href="admin.php?page=wp_licensing_admin_setting"><b>Wordpress Licensing System Configuration</b></a></p>
		</div>

		<form method="post" action="admin.php?page=wp_licensing_generate_key">
			<input type="hidden" name="gen_key" value="true" />
			<table class="wp-list-table widefat tags ui-sortable">
				<thead>
					<tr>
						<th width="auto" colspan="2"><a href="<?php echo LICENSEMANAGER_LOCATION . "/documentation/";?>" target="_blank">Documentations &rarr;</a></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<th colspan="2"><strong><?=__('It will generate New License key, Please take Attention!');?></strong></th>
					</tr>
					<tr>
						<td scope="row" valign="top" width="200px"><label for="product"><?=__('Related Product');?></label></td>
					<td>
						<?php if (((wc_active ()) || function_exists('install_jigoshop') || function_exists('wpsc_install')) && (($con->int_woocom == "1") || ($con->int_jigo == "1") || ($con->int_wpsc == "1"))){ ?>
						<select name="product" id="product" style="width:240px;">
							<option value=""><?=__('Choose Product');?></option>
							<?php
								global $wpdb;
								if(function_exists('wpsc_install') && ($con->int_wpsc == "1")):
									$psql = "SELECT * FROM {$wpdb->prefix}posts WHERE post_type = 'wpsc-product' AND post_title <> 'Auto Draft' ORDER BY post_title";
								else:
									$psql = "SELECT * FROM {$wpdb->prefix}posts WHERE post_type = 'product' AND post_title <> 'Auto Draft' ORDER BY post_title";
								endif;
								$pres = $wpdb->get_results($psql);
								$dexpire = explode("|", $con->dexpire);
								foreach((array) $pres as $plic):
									$enable = get_post_meta($plic->ID, '_wls_tab_enabled', true);
									if(!$enable) continue;
							?>
							<option value="<?php echo $plic->ID; ?>"><?php echo $plic->post_title; ?></option>
							<?php endforeach; ?>
						</select>
						<?php } else { ?>
						<input type="text" name="product" size="40" id="product" value="<?php echo $edit->product; ?>" />
						<?php } ?>
						<p class="description"><?=__('Product valid for');?></p>
					</td>
				</tr>
				<tr valign="top">
					<td scope="row"><label for="allow"><?=__('Allowed Domain');?></label></td>
					<td>
						<select name="allow" id="allow" style="width:240px;">
							<option value="">-- <?=__('Allowed Domain');?> --</option>
							<?php $allowed = explode("|", $con->allowed); foreach((array) $allowed as $allow): ?>
							<option value="<?php echo $allow;?>"><?php if($allow == 0) { _e('Unlimited'); }else { echo $allow; if($allow == 1){ _e(' Domain'); }elseif($allow > 1 ){ _e(' Domains'); } } ?></option>
							<?php endforeach; ?>
						</select>
						<p class="description"><?=__('Allowed Domain for this license key, "0" for Unlimited');?></p>
                	</td>
				</tr>
				<tr>
            		<td valign="top" scope="row"><label for="expire"><?=__('Expired days');?></label></td>
            		<td>
						<select name="expire" id="expire" style="width:240px;">
							<option value=""><?=__('Choose Expiration');?></option>
							<?php
								$dexpire = explode("|", $con->dexpire);
								foreach((array) $dexpire as $pexpire):
							?>
                        	<option value="<?php echo wls_expiryTime($pexpire);?>" <?php if(wls_expiryTime($pexpire) == $con->lic_expire) echo ' selected="selected"';?>><?php if($pexpire == 0) { _e('Lifetime License'); }else { echo $pexpire; }  ?></option>
							<?php endforeach; ?>
						</select>
						<p class="description"><?=__('License will be expiry');?></p>
          			</td>
				</tr>
				<input type="hidden" name="domain" />
				<input type="hidden" name="validip" />
	  
		  		<tr>
          			<td></td>
            		<td>
                		<input type="hidden" id="status" name="status" value="1" />
        				<input type="submit" value="<?=__('Generate New License');?>" class="button-primary" id="gen_license" name="gen_license">&nbsp;
                    	<i><a class="button-primary" href="admin.php?page=wp_licensing_manager"><?=__('Cancel');?></a></i>
       				</td>
          		</tr>
			</tbody>
		</table>
	
		<div class="tablenav bottom">
			<div style="text-align:right;">&copy; <a href="<?php echo LICENSEMANAGER_URI;?>" target="_blank" style="text-decoration:none;">WP Licensing System</a> v<?php echo $wls_version; ?></div>
			<br class="clear">
		</div>
		
		<div id="ajax-response"></div>

	</form>

</div>

<?php

	}
}

function nexTime ($time) {
	$detik = (86400 * $time) + time();
	return $detik;
}

function wls_licensing_genkey($product, $orderid, $email, $expiry, $allow, $invoice = '', $status = ''){
	global $wpdb;
	$setup = $wpdb->get_row("SELECT * FROM {$wpdb->prefix}licensing_setting WHERE id = '1'");
	$divider = isset($setup->key_div) ? $setup->key_div : '-';
	$partkey = isset($setup->key_part) ? $setup->key_part : 3;
	$prekey = isset($setup->pre_key) ? $setup->pre_key : '';
	$endkey = isset($setup->post_key) ? $setup->post_key : '';
	$length = isset($setup->key_cunk) ? $setup->key_cunk : 5;
	$splitkey = isset($setup->key_split) ? $setup->key_split : true;
	
	$product_code = get_post_meta($product, 'wpls_code', true);
	$is_multiple = get_post_meta($product, '_wls_multi_product', true);

	if( $expiry == '0' ){
		$expire = '0';
	} else {
		$expire = nexTime($expiry);
	}

	$status = ($status != '') ? $status : get_wpls_option('wls_destatus');

	if ( !$length ){
        $length = 10;
    }

	// hush PHP be settings varables
	$key = null;
		
	// loop through each key part
	for($i=0; $i!=$partkey; $i++){ // Start part loop
	
		// add random character to current part
		for($x=0; $x!=$length; $x++){ // start chunk loop
			// generate a random character or number and append it to the string
			$seeds = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
			$seeds_count = strlen( $seeds ) - 1;
			$key .= ($seeds[rand( 0, $seeds_count )]);						
		} // end chunk loop
			
		// If key_split is true, add the key_div, else, add nothing
		$key .= $splitkey ? $divider : "";	
			
	} // end part loop
		
	// trim any extra dividers
	$licensekey = trim($prekey . $divider . $key . $endkey, $divider);

    $key_exist = $wpdb->get_var("SELECT COUNT(id) FROM {$wpdb->prefix}licensing WHERE license = '{$licensekey}'");    
	if ( !$key_exist && do_generate($licensekey) ){
        $create_key = $wpdb->query("INSERT INTO {$wpdb->prefix}licensing SET add_on = '".time()."', license = '{$licensekey}', product = '{$product}', order_id = '{$orderid}', expire = '{$expire}', status = '{$status}', allowed = '{$allow}', pro_code = '{$product_code}', invoice = '{$invoice}', mproduct = '{$is_multiple}'");
	}
	
	return true;
}

?>