<?php

/*
*
* WP Licensing system Plugin WordPress
* It doesn't work witout WP Licensing System Installed On your Wordpress Blog
* File Name: license-manager.class.php
* All Right reserved by law, You're not authorized to modified, edit, or distribute without right!
* (c) WPDeveloper, CV. 2013
*
*/

if (!defined('ABSPATH')){
	header("HTTP/1.0 404 Not Found");
	exit('<h1>Not Found</h1>The requested URL '.$_SERVER['SCRIPT_NAME'].' was not found on this server.'); //Exit if accessed directly
}

/*****************LICENSING FUNCTIONS*********************/

function wls_admin_dashboard( ) {
	global $wpdb, $limit;

	if(!wls_serial_valid()){
		wls_license ();
    }
    else{
        wp_licensing_admin();
    }
}

function wp_licensing_admin() {
	global $wls_version, $wpdb, $woocom;

	if($_POST['license']) {
		$chk = $wpdb->get_var("SELECT COUNT(id) AS total FROM {$wpdb->prefix}licensing WHERE license = '".$_POST['license']."' AND product = '".$_POST['product']."'");
		if($_POST['edit']) $chk = $wpdb->get_var("SELECT COUNT(id) AS total FROM {$wpdb->prefix}licensing WHERE license = '".$_POST['license']."' AND id <> '".$_POST['edit']."'");
		if(!$chk) {
			$exp = $wpdb->get_row("SELECT * FROM {$wpdb->prefix}licensing WHERE id = '".$_POST['edit']."'");
			if($_POST['domain']):
				$ipadd = gethostbyname($_POST['domain']);
			endif;
			
			if($_POST['edit']) {
				if($_POST['allow'] == ""){
					$allowed = $_POST['allowed'];
				}
				else{
					$allowed = $_POST['allow'];
				}
				
				if($_POST['expire'] == "0"):
					$expired = $_POST['expire'];
				else:
					$expired = (time()+(60*60*24*$_POST['expire']));
				endif;
				
				$wpdb->query("UPDATE {$wpdb->prefix}licensing SET license = '".$_POST['license']."', product = '".$_POST['product']."', domain = '".$_POST['domain']."', status = '".$_POST['status']."', validip = '".$ipadd."', allowed = '".$allowed."' WHERE id = '".$_POST['edit']."'");
	
				echo '<div class="updated"><p>'.__('License key modified.').'</p></div>';
			}
			else {
				if($_POST['expire'] == "0"):
					$expired = $_POST['expire'];
				else:
					$expired = (time()+(60*60*24*$_POST['expire']));
				endif;
				
				$wpdb->query("INSERT INTO {$wpdb->prefix}licensing SET add_on = '".time()."', license = '".$_POST['license']."', product = '".$_POST['product']."', domain = '".$_POST['domain']."', status = '".$_POST['status']."', expire = '".$expired."', validip = '".$ipadd."', allowed = '".$_POST['allow']."'");
				
				echo '<div class="updated"><p>'.__('New License is saved.').'</p></div>';
			}
		}
		else {
			echo '<div class="error"><p>'.__('Sorry that license already exists.').'</p></div>';	
		}
	}

	if($_POST['extendtime']){
		$extd = $wpdb->get_row("SELECT * FROM {$wpdb->prefix}licensing WHERE id = '".$_POST['extendid']."'");
		$counttime = (60*60*24*$_POST['extendtime']);
	
		if($_POST['extendtime'] != "0" && $extd->expire == "0"){
			$newexpire = (time()+$counttime);
		}
		elseif($_POST['extendtime'] != "0" && $extd->expire != "0"){
			$newexpire = ($extd->expire+$counttime);
		}
		elseif($_POST['extendtime'] == "0" && $extd->expire != "0"){
			$newexpire = "0";
		}
	
		$wpdb->query("UPDATE {$wpdb->prefix}licensing SET expire = '".$newexpire."' WHERE id = '".$_POST['extendid']."'");
	
		if($_POST['extendtime'] == 0){
			$extended = "Unlimited";
		}
		else{
			$extended = $_POST['extendtime'];
		}
		
		echo '<div class="updated"><p>'.sprintf(__('License Key time has been extended for %s Day(s).'), $extended).'</p></div>';
	
	}	

	if($_GET['funlimited']){
		$wpdb->query("UPDATE {$wpdb->prefix}licensing SET expire = '0' WHERE id = '".$_GET['funlimited']."'");
	}

	if(isset($_POST['liccheck'])) {
		if($_POST['action'] == 'delete'){
			foreach((array) $_POST['liccheck'] as $lid) {
				$wpdb->query("DELETE FROM {$wpdb->prefix}licensing WHERE id = '".$lid."'");
				$deleted = explode (",", $lid);
				foreach((array) $deleted as $lideleted):
					$sucdel = $lideleted;
				endforeach;
			}
			
			echo "<div class='updated'><p>".__('Selected License(s) Deleted')."</p></div>";
		}
		elseif($_POST['action'] == 'mass-activate') {
			foreach((array) $_POST['liccheck'] as $lid) {
				$wpdb->query("UPDATE {$wpdb->prefix}licensing SET status = '1' WHERE id = '".$lid."'");
				$activated = explode (",", $lid);
			}
			
			echo "<div class='updated'><p>".__('Selected License(s) Activated')."</p></div>";
		}
		elseif($_POST['action'] == 'mass-suspend') {
			foreach((array) $_POST['liccheck'] as $lid) {
				$wpdb->query("UPDATE {$wpdb->prefix}licensing SET status = '2' WHERE id = '".$lid."'");
				$suspended = explode (",", $lid);
			}
			echo "<div class='updated'><p>".__('Selected License(s) Suspended.')."</p></div>";
		}
		
	}

	if($_GET['del']) {
		$wpdb->query("DELETE FROM {$wpdb->prefix}licensing WHERE id = '".$_GET['del']."'");
		echo '<div class="updated"><p>'.__('The license has been deleted.').'</p></div>';
	}
	
	if($_GET['activate']) {
		$wpdb->query("UPDATE {$wpdb->prefix}licensing SET status = '1' WHERE id = '".$_GET['activate']."'");
		echo '<div class="updated"><p>'.__('The license has been activated.').'</p></div>';
	}
	
	if($_GET['deactivate']) {
		$wpdb->query("UPDATE {$wpdb->prefix}licensing SET status = '0' WHERE id = '".$_GET['deactivate']."'");
		echo '<div class="updated"><p>'.__('The license has been deactivated.').'</p></div>';
	}
	
	if($_GET['suspend']) {
		$wpdb->query("UPDATE {$wpdb->prefix}licensing SET status = '2' WHERE id = '".$_GET['suspend']."'");
		echo '<div class="updated"><p>'.__('The license has been suspended.').'</p></div>';
	}
	
	if($_GET['accept']) {
		$wpdb->query("UPDATE {$wpdb->prefix}licensing SET status = '1' WHERE id = '".$_GET['accept']."'");
		echo '<div class="updated"><p>The license has been accepted and activated.</p></div>';
	}
	
	if($_GET['reject']) {
		$wpdb->query("DELETE FROM {$wpdb->prefix}licensing WHERE id = '".$_GET['reject']."'");
		echo '<div class="updated"><p>'.__('The license has been rejected and deleted.').'</p></div>';
	}
	
	$cedit = $wpdb->get_row("SELECT * FROM {$wpdb->prefix}licensing_setting WHERE id = '1'");
	
	register_setting( 'wls-settings-group', 'wls_license');
		
?>

    <div class="wrap nosubsub">
        <h2 class="nav-tab-wrapper">
            <a class="nav-tab<?php if(empty($_GET['action'])) echo " nav-tab-active"; ?>" href="admin.php?page=wp_licensing_manager">License Manager</a><?php if(isset($_GET['edit'])){?> <a class="nav-tab<?php if($_GET['action']) echo " nav-tab-active"; ?>" href="admin.php?page=wp_licensing_manager&action=edit"><?php echo __('Edit'); ?> License</a> <?php } ?>
        </h2>
    
        <div class="updated">
            <p>Before creating or editing you can setup WLS <a href="admin.php?page=wp_licensing_admin_setting"><b>Wordpress Licensing System Configuration</b></a> or Open <a target="_blank" href="<?php echo LICENSEMANAGER_LOCATION . "/documentation/";?>"><b>Documentations</b></a> Files</p>
        </div>
    <br />
    
    <?php
    if($_GET['extend']): 
        $ext = $wpdb->get_row("SELECT * FROM {$wpdb->prefix}licensing WHERE id = '".$_GET['extend']."'");
        $produk = $wpdb->get_row("SELECT * FROM {$wpdb->posts} WHERE ID = '".$ext->product."'");
    ?>
        <form action="admin.php?page=wp_licensing_manager" method="post">
            <input type="hidden" id="extendid" name="extendid" value="<?php echo $ext->id; ?>" />
            <table class="wp-list-table widefat tags ui-sortable">
                <thead>
                    <tr>
                        <td valign="top" colspan="2"><strong><?=__('Extend license expiry time');?></strong></td>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <th valign="top" width="200px;"><label><?=__('License Key');?></label></th>
                        <td><b><?php echo $ext->license; ?></b></td>
					</tr>
                    <tr>
                        <th valign="top"><label><?=__('Activated Domain');?></label></th>
                        <td><b><?php echo str_replace('|', ', ', $ext->domain); ?></b></td>
					</tr>
                    <tr>
                        <th valign="top"><label><?=__('Product');?></label></th>
                        <td><b><?php echo $produk->post_title; ?></b></td>
					</tr>
                    <tr>
                        <th valign="top"><label><?=__('Status');?></label></th>
                        <td><b><?php  if($ext->status==0){echo "Deactive";}elseif($ext->status==1){echo "Active";}elseif($ext->status==2){echo "Suspended";}elseif($ext->status==3){echo "Pending";} ?></b></td>
					</tr>
                    <tr>
                        <th valign="top"><label><?=__('License Expiry');?></label></th>
                        <td><b><?php if($ext->expire == 0){echo "Lifetime";}else{echo date('d/m/Y H:i:s', ($ext->expire));} ?></b></td>
					</tr>
                    <tr>
                        <th valign="top"><label for="extendtime"><?=__('Extend for');?></label></th>
                        <td>
                        	<select name="extendtime" id="extendtime" style="width:240px;">
                                <option value=""><?=__('Choose Expiration');?></option>
                                <?php
                                $dexpire = explode("|", $cedit->dexpire);
                                foreach((array) $dexpire as $pexpire):
                                ?>
                                <option value="<?php echo wls_expiryTime($pexpire);?>"><?php if($pexpire == 0) {echo "Lifetime License"; }else { echo $pexpire; }  ?></option>
                                <?php endforeach; ?>
                            </select>
                        </td>
					</tr>
                    <tr>
                    	<th valign="top">&nbsp;</th>
                        <td>
                        	<input onClick="if ( confirm( 'You are about to extend time for this license.\n  \'Cancel\' to stop, \'OK\' to extend time.' ) ) { return true;}return false;" type="submit" value="Save" class="button-primary submitextendtime">&nbsp;
                            <i><a class="button-primary" href="admin.php?page=wp_licensing_manager">Cancel</a></i>
                        </td>
					</tr>
				</tbody>
			</table>
        </form>
    <?php return; endif; ?>
    
    <?php
        $all		= $wpdb->get_var("SELECT COUNT(id) AS total FROM {$wpdb->prefix}licensing");
        $deactive	= $wpdb->get_var("SELECT COUNT(id) AS total FROM {$wpdb->prefix}licensing WHERE status = 0 AND (expire > ".time()." OR expire = 0)");
        $active		= $wpdb->get_var("SELECT COUNT(id) AS total FROM {$wpdb->prefix}licensing WHERE status = 1 AND (expire > ".time()." OR expire = 0)");
        $suspended	= $wpdb->get_var("SELECT COUNT(id) AS total FROM {$wpdb->prefix}licensing WHERE status = 2 AND (expire > ".time()." OR expire = 0)");
        $pending	= $wpdb->get_var("SELECT COUNT(id) AS total FROM {$wpdb->prefix}licensing WHERE status = 3 AND (expire > ".time()." OR expire = 0)");
        $expired	= $wpdb->get_var("SELECT COUNT(id) AS total FROM {$wpdb->prefix}licensing WHERE expire < ".time()." AND expire != 0");
    ?>
    
        <ul class="subsubsub">
            <li class="all"><a href="admin.php?page=wp_licensing_manager" class="current">All <span class="count">(<?php echo $all; ?>)</span></a></li>
            <?php if($active){ ?>
            <li class="active"> | <a href="admin.php?page=wp_licensing_manager&av=1">Active <span class="count">(<?php echo $active; ?>)</span></a></li>
            <?php } if($pending){ ?>
            <li class="pending"> | <a href="admin.php?page=wp_licensing_manager&pd=1">Pending <span class="count">(<?php echo $pending; ?>)</span></a></li>
            <?php } if($deactive){ ?>
            <li class="deactive"> | <a href="admin.php?page=wp_licensing_manager&tk=1">Deactive <span class="count">(<?php echo $deactive; ?>)</span></a></li>
            <?php } if($suspended){ ?>
            <li class="suspended"> | <a href="admin.php?page=wp_licensing_manager&sp=1">Suspended <span class="count">(<?php echo $suspended; ?>)</span></a></li>
            <?php } if($expired){ ?>
            <li class="expired"> | <a href="admin.php?page=wp_licensing_manager&ex=1">Expired <span class="count">(<?php echo $expired; ?>)</span></a></li>
            <?php } ?>
        </ul>
    
        <form method="post" action="admin.php?page=wp_licensing_manager" id="posts-filter" enctype="multipart/form-data">
            <p class="search-box">
                <a href="admin.php?page=wp_licensing_generate_key" class="button-primary">Generate New License</a>
                <label for="link-search-input" class="screen-reader-text">Search License:</label>
                <input type="text" name="slicense" value="" id="link-search-input">
                <select id="type" name="type" style="margin-top:-5px;">
                    <option value="key">License</option>
                    <option value="domain">Domain</option>
                </select>
                <input type="submit" value="Search License" class="button" id="search-submit" name=""> 
            </p>
        </form>
        
    <?php
		if($_GET['action']):
			if(isset($_GET['edit'])){
				$edit = $wpdb->get_row("SELECT * FROM {$wpdb->prefix}licensing WHERE id = '".$_GET['edit']."'");
				$con = $wpdb->get_row("SELECT * FROM {$wpdb->prefix}licensing_setting WHERE id = '1'"); ?>

        <form method="post" action="admin.php?page=wp_licensing_manager" id="edit" enctype="multipart/form-data">
            <input type="hidden" name="edit" value="<?php echo $edit->id; ?>" />
            <table class="wp-list-table widefat tags ui-sortable">
                <thead>
                    <tr>
                        <td valign="top" colspan="2"><strong><?=__('Edit License Data');?></strong></td>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td valign="top"><label for="license"><?=__('License Key');?></label></td>
                        <td>
                            <input type="hidden" name="license" size="40" value="<?php echo $edit->license; ?>" />
                            <input type="text" class="text-field" size="40" value="<?php echo $edit->license; ?>" readonly="readonly" />
                            <p class="description"><?php _e('License key tobe validated');?></p>
                        </td>
                    </tr>
                    <tr>
                        <th valign="top"><label><?=__('Activated Domain');?></label></th>
                        <td><b><?php echo str_replace('|', ', ', $edit->domain); ?></b></td>
					</tr>
                    <tr>
                        <td valign="top"><label for="product"><?=__('Related Product');?></label></td>
                        <td>
                            <?php if (( (wc_active ()) || function_exists('install_jigoshop') || function_exists('wpsc_install')) && (($cedit->int_woocom == "1") || ($cedit->int_jigo == "1") || ($cedit->int_wpsc == "1"))){ ?>
                            <select name="product" id="product" style="width:240px;">
                                <option value=""><?=__('Choose Product');?></option>
                                <?php
                                    if(function_exists('wpsc_install') && ($con->int_wpsc == "1")):
                                        $psql = "SELECT * FROM {$wpdb->prefix}posts WHERE post_type = 'wpsc-product' AND post_title <> 'Auto Draft' ORDER BY post_title";
                                    else:
                                        $psql = "SELECT * FROM {$wpdb->prefix}posts WHERE post_type = 'product' AND post_title <> 'Auto Draft' ORDER BY post_title";
                                    endif;
                                    $pres = $wpdb->get_results($psql);
                                    $dexpire = explode("|", $con->dexpire);
                                    foreach((array) $pres as $plic):
                                    $enable = get_post_meta($plic->ID, '_wls_tab_enabled', true);
                                    if(!$enable) continue;
                                ?>
                                <option value="<?php echo $plic->ID; ?>"<?php if($plic->ID == $edit->product) {echo 'selected="selected"';}?>><?php echo $plic->post_title; ?></option>
                                <?php endforeach; ?>
                            </select>
                            <?php }else{?>
                            <input type="text" name="product" size="40" id="product" value="<?php echo $edit->product; ?>" />
                            <?php } ?>
                            <p class="description"><?php _e('Product related to this license key');?>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top"><label for="status"><?=__('Status');?></label></td>
                        <td>
                            <select id="status" name="status" style="width:240px;">
                                <option value="">Status</option>
                                <option value="3" <?php if ($edit->status == 3) { ?> selected="selected" <?php } ?>>Pending</option>
                                <option value="1" <?php if ($edit->status == 1) { ?> selected="selected" <?php } ?>>Active</option>
                                <option value="0" <?php if ($edit->status == 0) { ?> selected="selected" <?php } ?>>Deactive</option>
                                <option value="2" <?php if ($edit->status == 2) { ?> selected="selected" <?php } ?>>Suspend</option>
                            </select>
                            <p class="description"><?php _e('License key status');?>
                        </td>
                    </tr>
                    <tr valign="top">
                        <td scope="row"><label for="allow"><?=__('Allowed Domain');?></label></td>
                        <td>
                        <select name="allow" id="allow">
                            <option value="">-- <?=__('Allowed Domain');?> --</option>
                            <?php
								$allowed = explode("|", $con->allowed); foreach((array) $allowed as $allow): ?>
                            	<option value="<?php echo $allow;?>" <?=($allow == $edit->allowed) ? 'selected="selected"':'';?>><?php if($allow == 0) {echo "Unlimited"; } else { echo $allow; if($allow == 1){ _e(' Domain'); } else { _e(' Domains');} } ?></option>
                            <?php endforeach; ?>
                        </select>
                        <input type="hidden" name="allowed" value="<?php echo $edit->allowed;?>" />
                        <p class="description"><?php _e('Allowed Domain for this license key, "0" for Unlimited');?></p></td>
                    </tr>
                    <tr>
                        <td valign="top"><label for="expired"><?php if($edit->expire == ''){ _e('Expired days');} else {_e('Expired on');} ?></label></td>
                        <td>
                            <?php if($edit->expire == ''){ ?>
                            <select name="expire" id="expire" style="width:240px;">
                            <option value=""><?=__('Choose Expiration');?></option>
                            <?php
                            $dexpire = explode("|", $con->dexpire);
                            foreach((array) $dexpire as $pexpire):
                            ?>
                            <option value="<?php echo $pexpire; ?>"<?=($pexpire == $con->lic_expire) ? 'selected="selected"':'';?>><?php if($pexpire == 0){ echo "Unlimited"; }else { echo $pexpire; if($pexpire==1){ echo "&nbsp;Day"; }elseif($pexpire>1){ echo"&nbsp;Days";}} ?></option>
                            <?php endforeach; ?>
                            </select>
                            <?php } else { ?>
                            <input type="hidden" id="expire" name="expire" value="<?php echo $edit->expire; ?>">
                            <?php if($edit->expire == 0){ _e('Lifetime');}else{ echo date("d/m/Y H:i",($edit->expire)); }} ?>
                            <?php if($_GET['edit']): ?> | <i><a href="admin.php?page=wp_licensing_manager&extend=<?php echo $edit->id; ?>"><?=__('Extend');?></a></i><?php endif; ?>
                        </td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>
                            <input type="submit" value="<?=__('Save');?>" class="button-primary" id="save_license" name="save_license"> 
                            <?php if($_GET['edit']): ?><i><a class="button-primary" href="admin.php?page=wp_licensing_manager"><?=__('Cancel');?></a></i><?php endif; ?>
                        </td>
                    </tr>
                </tbody>
            </table>
        
        </form>
    <?php
			return;
		}
	endif; ?>
    
        <form method="post" action="admin.php?page=wp_licensing_manager" id="edit" enctype="multipart/form-data">
            <div class="tablenav top">
                <div class="alignleft actions">
                    <select name="action">
                        <option selected="selected" value="-1">Bulk Actions</option>
                        <option value="delete">Delete</option>
                        <option value="mass-activate">Activate</option>
                    </select>
                    <input type="submit" value="Apply" class="button-secondary action" id="doaction" name="doaction">
                </div>
                <br class="clear">
            </div>
            <table cellspacing="0" class="wp-list-table widefat fixed bookmarks">
                <thead>
                    <tr>
                        <th style="" class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"></th>
                        <th style="" class="manage-column column-rel">License Key</th>
                        <th style="" class="manage-column column-url" id="url" scope="col"><span>Saved On</span></th>
                        <th style="" class="manage-column" scope="col">Status</th>
                        <th style="" class="manage-column column-url" id="url" scope="col"><span>Expired On</span></th>
                        <th style="" class="manage-column" id="rel" scope="col">Allowed Domain</th>
                        <th style="" class="manage-column" id="rel" scope="col">Related Product</th>
                        <?php if (((wc_active ()) || function_exists('install_jigoshop') || function_exists('wpsc_install')) && (($cedit->int_woocom == "1") || ($cedit->int_jigo == "1")) || ($cedit->int_wpsc == "1")){ ?>
                        <th style="" class="manage-column" scope="col">Order ID</th>
                        <?php } ?>
                    </tr>
                </thead>
                <tfoot>
                    <tr>
                        <th style="" class="manage-column column-cb check-column" scope="col"><input type="checkbox"></th>
                        <th style="" class="manage-column column-rel" id="rel" scope="col">License Key</th>
                        <th style="" class="manage-column column-url" id="url" scope="col"><span>Saved On</span></th>
                        <th style="" class="manage-column" scope="col">Status</th>
                        <th style="" class="manage-column column-url" id="url" scope="col"><span>Expired On</span></th>
                        <th style="" class="manage-column" id="rel" scope="col">Allowed Domain</th>
                        <th style="" class="manage-column" id="rel" scope="col">Related Product</th>
                        <?php if (((wc_active ()) || function_exists('install_jigoshop') || function_exists('wpsc_install')) && (($cedit->int_woocom == "1") || ($cedit->int_jigo == "1")) || ($cedit->int_wpsc == "1")){ ?>
                        <th style="" class="manage-column" scope="col">Order ID</th>
                        <?php } ?>
                    </tr>
                </tfoot>
                <tbody id="the-list">
                <?php 
                
                    $limit = "10";
                    $pagename = 'pg';
                    if(!isset($_GET[$pagename]))
                        $page = 0;
                    else
                        $page = (($_GET[$pagename]-1)*$limit);
              
                    $odi = '';
                    if($_GET['tk']) $odi = "WHERE status = 0 AND (expire > ".time()." OR expire = 0) ";
                    if($_GET['av']) $odi = "WHERE status = 1 AND (expire > ".time()." OR expire = 0) ";
                    if($_GET['sp']) $odi = "WHERE status = 2 AND (expire > ".time()." OR expire = 0) ";
                    if($_GET['pd']) $odi = "WHERE status = 3 AND (expire > ".time()." OR expire = 0) ";
                    if($_GET['ex']) $odi = "WHERE expire < ".time()." AND expire != 0 ";
              
                    if($_POST['slicense']) {
                        if($_POST['type'] == "domain"){
                            $sql = "SELECT * FROM {$wpdb->prefix}licensing WHERE domain LIKE '".$_POST['slicense']."' ORDER BY add_on DESC LIMIT $page, $limit";
                        }
                        else {
                            $sql = "SELECT * FROM {$wpdb->prefix}licensing WHERE license LIKE '".$_POST['slicense']."' ORDER BY add_on DESC LIMIT $page, $limit";
                        }
                    }
                    else{
                        $sql = "SELECT * FROM {$wpdb->prefix}licensing {$odi} ORDER BY add_on DESC LIMIT $page, $limit";}
        
                    $result = $wpdb->get_results($sql, ARRAY_A);
                    $res = $wpdb->num_rows;
        
                    if(!$res){
                        echo '<tr><th colspan="7"><b>'.__('No Record Found!').'</b></th></tr>';
                    }
                    else{
                        for ($x=0;$x<$res;$x++){
                            $lic = $result[$x];
        
                              $expired = ($lic['expire'] < time() && $lic['expire'] != 0);
                    ?>
                        <tr valign="middle" class="alternate" id="link-<?php echo $i++; ?>">
                            <th class="check-column" scope="row"><input type="checkbox" value="<?php echo $lic['id']; ?>" name="liccheck[]"></th>
                            <td class="column-rel"><?php echo $lic['license']; ?><br>
                                <div class="row-actions">			
                                    <span class="edit"><a href="admin.php?page=wp_licensing_manager&action=edit&edit=<?php echo $lic['id']; ?>">Edit</a> | </span>
                                    <span class="delete"><a onClick="if ( confirm( 'You are about to delete this license.\n  \'Cancel\' to stop, \'OK\' to delete.' ) ) { return true;}return false;" href="admin.php?page=wp_licensing_manager&del=<?php echo $lic['id']; ?>" class="submitdelete">Delete</a></span>
                                </div>
                            </td>
                            <td class="column-url"><?php if($lic['add_on']) echo date("d/m/Y H:i",($lic['add_on'])); ?></td>
                            <td class="column-url">
                                <?php if($lic['status'] == 0) { ?>
                                <span style="background-color:#FF0000; padding:3px; color:#FFFFFF;">Deactive</span><br />
                                <div class="row-actions">
                                    <span class="activate"><a onClick="if ( confirm( 'You are about to activate this license.\n  \'Cancel\' to stop, \'OK\' to activate.' ) ) { return true;}return false;" href="admin.php?page=wp_licensing_manager&activate=<?php echo $lic['id']; ?>" class="submitactivate">Activate</a> | </span>
                                    <span class="suspend"><a onClick="if ( confirm( 'You are about to suspend this license.\n  \'Cancel\' to stop, \'OK\' to suspend.' ) ) { return true;}return false;" href="admin.php?page=wp_licensing_manager&suspend=<?php echo $lic['id']; ?>" class="submitsuspend">Suspend</a></span>
                                </div>
                                <?php } else if($lic['status'] == 1 && (!$expired)){ ?>
                                <span style="background-color:#00FF33; padding:3px;">Active</span>
                                <div class="row-actions">
                                    <span class="deactivate"><a onClick="if ( confirm( 'You are about to deactivate this license.\n  \'Cancel\' to stop, \'OK\' to deactivate.' ) ) { return true;}return false;" href="admin.php?page=wp_licensing_manager&deactivate=<?php echo $lic['id']; ?>" class="submitdeactivate">Deactivate</a> | </span>
                                    <span class="suspend"><a onClick="if ( confirm( 'You are about to suspend this license.\n  \'Cancel\' to stop, \'OK\' to suspend.' ) ) { return true;}return false;" href="admin.php?page=wp_licensing_manager&suspend=<?php echo $lic['id']; ?>" class="submitsuspend">Suspend</a></span>
                                </div>
                                <?php } else if($lic['status'] == 2){?>
                                <span style="background-color:#99FF00; padding:3px;">Suspended</span>
                                <div class="row-actions">
                                    <span class="activate"><a onClick="if ( confirm( 'You are about to activate this license.\n  \'Cancel\' to stop, \'OK\' to activate.' ) ) { return true;}return false;" href="admin.php?page=wp_licensing_manager&activate=<?php echo $lic['id']; ?>" class="submitactivate">Activate</a> | </span>
                                    <span class="deactivate"><a onClick="if ( confirm( 'You are about to deactivate this license.\n  \'Cancel\' to stop, \'OK\' to deactivate.' ) ) { return true;}return false;" href="admin.php?page=wp_licensing_manager&deactivate=<?php echo $lic['id']; ?>" class="submitdeactivate">Deactivate</a></span>
                                </div>
                                <?php } else if($lic['status'] == 3){?>
                                <span style="background-color:#99FF00; padding:3px;">Pending</span>
                                <div class="row-actions">
                                    <span class="activate"><a onClick="if ( confirm( 'You are about to activate this license.\n  \'Cancel\' to stop, \'OK\' to activate.' ) ) { return true;}return false;" href="admin.php?page=wp_licensing_manager&activate=<?php echo $lic['id']; ?>" class="submitactivate">Activate</a></span>
                                </div>
                                <?php }else if($expired) { ?>
                                    <span style="padding:3px; background-color:#006600; color:#FFFFFF;">Expired</span>
                                <?php } ?>
                            </td>
                            <td class="column-url"><?php if($lic['expire'] == 0){echo __('Lifetime');}else{ echo date("d/m/Y H:i",($lic['expire']));} ?>
                                <div class="row-actions">
                                    <span class="extend"><a href="admin.php?page=wp_licensing_manager&extend=<?php echo $lic['id']; ?>">Extend</a></span><?php if($lic['expire'] != 0) { ?> | <span class="funlimited"> <i><a onClick="if ( confirm( 'You are about to do for this license key.\n  \'Cancel\' to stop, \'OK\' to do it.' ) ) { return true;}return false;" href="admin.php?page=wp_licensing_manager&funlimited=<?php echo $lic['id']; ?>" class="submitfunlimited">Force Unlimited</a></i></span><?php } ?>
                                </div>
                            </td>
                            <td class="column-url"><?php if($lic['allowed'] == 0) {echo "Unlimited"; }else { echo $lic['allowed']; if($lic['allowed'] == 1){ echo "&nbsp;Domain"; }elseif($lic['allowed'] > 1 ){ echo"&nbsp;Domains";}} ?></td>
                            <td class="column-rel">
                                <?php if (((wc_active ()) || function_exists('install_jigoshop') || function_exists('wpsc_install')) && (($cedit->int_woocom == "1") || ($cedit->int_jigo == "1")) || ($cedit->int_wpsc == "1")){  ?>
                                    <a href="post.php?post=<?php echo $lic['product']; ?>&action=edit"><?php echo get_the_title($lic['product']); ?></a>
                                <?php }else {
                                        $pid = $wpdb->get_row("SELECT * FROM {$wpdb->prefix}licensing_items WHERE id = '".$lic['product']."'");
                                ?>
                                    <a href="admin.php?page=wp_licensing_product&action=edit&id=<?php echo $lic['product']; ?>"><?php echo $pid->product_name; ?></a>
                                <?php } ?>
                            </td>
                            <?php if (((wc_active ()) || function_exists('install_jigoshop') || function_exists('wpsc_install')) && (($cedit->int_woocom == "1") || ($cedit->int_jigo == "1")) || ($cedit->int_wpsc == "1")){ ?>
                                <td class="column-rel"><a href="post.php?post=<?php $ids = str_replace("WC-","",$lic['order_id']); echo $ids;?>&action=edit" title="View Order"><?php echo $lic['order_id']; ?></a></td>
                            <?php } ?>
                        </tr>
                    <?php
                        }
                        //endforeach;
                    }
                ?>
                </tbody>
            </table>
            
            <div class="tablenav bottom">
                <div class="alignleft actions">
                    <select name="action2">
                        <option selected="selected" value="-1">Bulk Actions</option>
                        <option value="delete">Delete</option>
                    </select>
                    <input type="submit" value="Apply" class="button-secondary action" id="doaction2" name="">
                </div>
                <div style="text-align:right;">
                <?php if(!$_REQUEST['slicense']) { ?>
                	<div class="alignright actions">
                        <div class="action-set-pagination">
                            <?php paginate($pagename, "SELECT * FROM {$wpdb->prefix}licensing {$odi}", $limit, "page=wp_licensing_manager&");?>
                        </div>
                    </div>
                <?php } ?>
                <br class="clear">
                <div style="text-align:center;">
                &copy; <a href="<?php echo LICENSEMANAGER_URI;?>" target="_blank" style="text-decoration:none;">WP Licensing System</a> v<?php echo $wls_version; ?></div>
                <br class="clear">
                </div>
            </div>
            <div id="ajax-response"></div>
            
        </form>
    
    </div>

<?php } ?>