<?php

/*
*
* WP Licensing system Plugin WordPress
* It doesn't work witout WP Licensing System Installed On your Wordpress Blog
* File Name: woocommerce.class.php
* All Right reserved by law, You're not authorized to modified, edit, or distribute without right!
* (c) WPDeveloper, CV. 2013
*
*/

if (!defined('ABSPATH')){
	header("HTTP/1.0 404 Not Found");
	exit('<h1>Not Found</h1>The requested URL '.$_SERVER['SCRIPT_NAME'].' was not found on this server.'); //Exit if accessed directly
}

/**
 * Add the WLS Domain Name field to the WC checkout
 **/
if(wc_active () && wls_wc()){ 

	if(get_wpls_option('wls_wc_autogen') == '1'){
		
		//add_action('woocommerce_before_order_notes', 'wls_domname_field');
		//add_action('woocommerce_checkout_process', 'wls_domname_field_process');
		//add_action('woocommerce_checkout_update_order_meta', 'wls_domname_field_update_order_meta');
				
		add_action('woocommerce_order_status_completed', 'wls_genarate_wc_key');
		add_action('woocommerce_order_status_processing', 'wls_genarate_wc_key');
		add_action('woocommerce_order_status_pending', 'wls_update_status_pending');
		add_action('woocommerce_order_status_on-hold', 'wls_update_status_pending');
		add_action('woocommerce_order_status_refunded', 'wls_update_status_cancel');
		add_action('woocommerce_order_status_cancelled', 'wls_update_status_cancel');
		add_action('woocommerce_order_status_failed', 'wls_update_status_cancel');
		add_action('woocommerce_email_after_order_table', 'wls_custom_style_checkout_email');
		add_action('woocommerce_product_write_panel_tabs', 'wls_wc_options_tab');
		add_action('woocommerce_product_write_panels', 'wls_wc_options');
	}
	
	add_action( 'woocommerce_order_item_meta_end', 'wpls_item_meta_key', 10, 3 );
	add_action( 'woocommerce_order_details_after_order_table', 'wls_custom_checkout_details');
	add_action( 'add_meta_boxes', 'wpls_add_wc_metabox' );
	//add_action('woocommerce_admin_order_data_after_billing_address', 'wls_domname_field_display_admin_order_meta', 10, 1);
	//add_action('woocommerce_admin_order_data_after_order_details', 'wls_domname_field_display_admin_after_item', 10, 1);
	
	function wpls_item_meta_key($item_id, $item, $order){
		global $wpdb, $woocommerce;
		
		$arid = array("WC", $order);
		$orid =  implode("-", $arid);
		
		$chk = $wpdb->get_var("SELECT COUNT(id) AS total FROM {$wpdb->prefix}licensing WHERE order_id = '".$orid."' AND product = '".$item_id."'");
		$lic = $wpdb->get_row("SELECT * FROM {$wpdb->prefix}licensing WHERE order_id = '".$orid."' AND product = '".$item_id."'");
		
		if(!$chk) return;
		
		echo "License key: " . $lic->license;
	}
	
	function wpls_add_wc_metabox () {
		add_meta_box( 'woocommerce-wpls-data', __( 'Worpress Licensing System', 'wpls' ), 'wpls_license_data_metabox', 'shop_order', 'normal', 'default' );
	}
	
	function wpls_license_data_metabox($post){
	global $wpdb, $thepostid, $theorder, $woocommerce;
	
	$order = $thepostid;
	
	$arid = array("WC", $post->ID);
	$orid =  implode("-", $arid);
	$chk = $wpdb->get_var("SELECT COUNT(id) AS total FROM {$wpdb->prefix}licensing WHERE order_id = '".$orid."'");
	$lic_result = $wpdb->get_results("SELECT * FROM {$wpdb->prefix}licensing WHERE order_id = '".$orid."'");
	
	if($chk):
	?>

		<div class="woocommerce_order_items_wrapper">	
            <table class="woocommerce_order_items" style="width:100%;">
				<thead>
					<tr>
						<th class="left" style="width:30%; text-align:left;"><?php _e( 'Product Name', 'wpls' ); ?></th>
						<th class="left" style="width:30%; text-align:left;"><?php _e( 'License Key', 'wpls' ); ?></th>
						<th class="left" style="width:20%; text-align:left;"><?php _e( 'Status', 'wpls' ); ?></th>
						<th class="left" style="width:20%; text-align:left;"><?php _e( 'Expiry time', 'wpls' ); ?></th>
					</tr>
				</thead>
			<tbody>

    <?php
		foreach ($lic_result as $lickey) {
			$expired = ($lickey->expire < time() && $lickey->expire != 0);
			if($lickey->allowed == 1){$ip_address = ' ('. $lickey->validip .')';}else{$ip_address = '';}
			if($lickey->expire == 0){$date = 'Lifetime License';}else{$date = date("d/m/Y H:i",$lickey->expire);}
			
			echo '<tr><td class="left" style="width:30%;">'. get_the_title($lickey->product) .'</td>';
			echo '<td class="left" style="width:30%;">'. $lickey->license .'</td>';
			echo '<td class="left" style="width:20%;">';
			if(!$expired) { if($lickey->status == 1) { echo "<a href='admin.php?page=wp_licensing_manager&suspend=".$lickey->id."' title='Suspend License Key'>Active</a>"; } else if($lickey->status == 0){ echo "<a href='admin.php?page=wp_licensing_manager&activate=".$lickey->id."' title='Activate License Key'>Deactive</a>"; } else if($lickey->status == 2) { echo "<a href='admin.php?page=wp_licensing_manager&del=".$lickey->id."' title='Delete License Key'>Suspended</a>"; }else if($lickey->status == 3) { echo "Pending"; } }else{echo "Expired";}		
			echo '</td><td class="left" style="width:20%;">'.$date.'</td>';
			echo '</tr>';
			
		}
	?>
				</tbody>
			</table>
        </div>
    <?php
	
	else:
		echo '<strong>'._e( 'No record found.', 'wpls' ).'</strong>';
	endif;

	}
	
	function add_wpls_product( $post_id, $post ) { 
		global $wpdb;
		
		if ( wp_is_post_revision( $post_id ) )	return;
		
		$post_type = get_post_type( $post_id );
		if ( "product" != $post_type ) return;
		
		$post_status = get_post_status( $post_id );
		if ( "publish" != $post_status ) return;
		
		$product_title = get_the_title( $post_id );
		$product_code = get_post_meta($post_id, 'wpls_code', true);
		$allowed_domain = get_post_meta($post_id, '_wls_license_allow', true);
		$is_multiple = get_post_meta($post_id, '_wls_multi_product', true);
		$expiry_time = get_post_meta($post_id, '_wls_license_expiry', true);
		$product_price = get_post_meta($post_id, '_regular_price', true);
		
		$desription = $post->post_content;
			
		if($allowed_domain == "Unlimited" || $allowed_domain == "Unlimited Domains"){
			$allow = "0";
		}
		else{
			$allow = preg_replace("/[^0-9]/", "", $allowed_domain);
		}
			
		if($expiry_time == "0" || $expiry_time == "Lifetime"){
			$expiry = "DISABLED";
		}
		else{
			$expiry = "D-".$expiry_time;
		}
			
		$check_item = $wpdb->get_var("SELECT COUNT(id) FROM {$wpdb->prefix}licensing_items WHERE id = '{$post_id}'");		
		if( $check_item ){
			// update if item is exist
			$wpdb->query("UPDATE {$wpdb->prefix}licensing_items SET product_name = '{$product_title}', code = '{$product_code}', product_desc = '{$desription}', allow = '{$allow}', type = '{$expiry}', product_price = '{$product_price}', mproduct = '{$is_multiple}' WHERE id = '{$post_id}'");

		}
		else{
			// add if item is not exist
			$wpdb->query("INSERT INTO {$wpdb->prefix}licensing_items SET `id` = '{$post_id}', `product_name` = '{$product_title}', `product_desc` = '{$desription}', `allow` = '{$allow}', `type` = '{$expiry}', `product_price` = '{$product_price}', `status` = '1', `mproduct` = '{$is_multiple}', `code` = '{$product_code}'");

		}
	}

	add_action( 'save_post_product', 'add_wpls_product', 10, 2 );
	add_action( 'save_post', 'add_wpls_product', 10, 2 );
	
	function wls_domname_field( $checkout ) {
		global $woocommerce;

		foreach ( $woocommerce->cart->get_cart() as $cart_item_key => $cart_item ) {
			$wpls_enabled = get_post_meta($cart_item['product_id'], '_wls_tab_enabled', true);
		} 		
		
		if(get_wpls_option('wls_req_domain') == '1') $req_domain = true;
			else  $req_domain = false;

		if($wpls_enabled):		
			echo '<div id="wls_domname_field"><h2>'.__('Licensing System').'</h2>';
			woocommerce_form_field( 'wls_domname', array(
				'type'          => 'text',
				'class'         => array('wls-domname-class form-row-wide'),
				'label'         => __('Domain Name'),
				'required'      => $req_domain,
				'placeholder'   => __('ex. mydomain.com'),
				), $checkout->get_value( 'wls_domname' ));
		
			echo '</div>';		
		endif;
		
	}
	
	function wls_domname_field_process() {
		global $woocommerce;
	
		// Check if set, if its not set add an error.
		if(get_wpls_option('wls_req_domain') == '1'){
			if (!$_POST['wls_domname'])
				 $woocommerce->add_error( __('<b>Please enter your domain name!</b>') );
		}		 
	}
	
	function wls_update_status_pending($order_id) {
		global $wpdb;
		$order = new WC_Order( $order_id );
		$items = $order->get_items();
		$orderid = $order->get_order_number();
		$arid = array ('WC', $orderid);
		$orid = implode("-", $arid);
		$wpdb->query("UPDATE {$wpdb->prefix}licensing SET status = '3' WHERE order_id = '".$orid."'");
	}
	
	function wls_update_status_cancel($order_id) {
		global $wpdb;
		$order = new WC_Order( $order_id );
		$items = $order->get_items();
		$orderid = $order->get_order_number();
		$arid = array ('WC', $orderid);
		$orid = implode("-", $arid);
		$wpdb->query("DELETE FROM {$wpdb->prefix}licensing WHERE order_id = '".$orid."'");
	}
	
	function wls_genarate_wc_key($order_id) {
		global $wpdb, $current_user;
		
		$order = new WC_Order( $order_id );
		$orderid = $order->get_order_number();
		$domain = '';
		
		$items = $order->get_items();
		foreach ( $items as $item_id => $item ) {
			$product_name = $item['name'];
			$product_id = $item['product_id'];
			$product_variation_id = $item['variation_id'];
			$expirys = get_post_meta($item['product_id'], '_wls_license_expiry', true);
			$allows = get_post_meta($item['product_id'], '_wls_license_allow', true);
			$enable = get_post_meta($item['product_id'], '_wls_tab_enabled', true);
			$multip = get_post_meta($item['product_id'], '_wls_multi_product', true);

			// get expiry from order meta
			$meta_expiry = wc_get_order_item_meta($item_id, 'pa_license-expiry');
			if($meta_expiry){
				if(!empty($meta_expiry)){
					if($meta_expiry == 'lifetime' || $meta_expiry == '0'){
						$expiry = "0";
					}
					else{
						list($count, $time) = explode('-', $meta_expiry);
						$expiry = $count * wls_replaceTime(ucwords($time));
					}
				}
				else{
					$expiry = $expirys;
				}
			}
			else{
				$expiry_in = isset($item['expiry-in']) ? $item['expiry-in'] : $item['license-expiry'];
				list($count, $time) = explode(' ', $expiry_in);
				if(!empty($expiry_in)){
					if($expiry_in == "Lifetime" || $expiry_in == "Lifetime License"){
						$expiry = "0";
					}else{
						$expiry = $count * wls_replaceTime($time);
					}
				}
				else{
					$expiry = $expirys;
				}
			}
			
			// get allowed from order meta
			$meta_allowed = wc_get_order_item_meta($item_id, 'pa_allowed-domain');
			if($meta_allowed){
				if(!empty($meta_allowed)){
					if($meta_allowed == 'unlimited' || $meta_allowed == '0'){
						$allow = '0';
					}
					else {
						$allow = preg_replace("/[^0-9]/", "", $meta_allowed);
					}
				}
				else{
					$allow = $allows;
				}
			}
			else{
				$allow_domain = $item['allowed-domain'];
				if(!empty($allow_domain)){
					if($allow_domain == "Unlimited" || $allow_domain == "Unlimited Domains"){
						$allow = "0";
					}else{
						$allow = preg_replace("/[^0-9]/", "", $allow_domain);
					}
				}
				else{
					$allow = $allows;
				}
			}
						
			$arid = array ('WC', $orderid);
			$orid = implode("-", $arid);
			$email = $order->billing_email;
			$userid = $current_user->ID;
			
			$invoice = md5( $order_id . $item_id );
		
			if($enable){
				$key_exist = $wpdb->get_var("SELECT COUNT(id) FROM {$wpdb->prefix}licensing WHERE order_id = '".$orid."' AND product = '{$product_id}'");
				if ( !$key_exist ){
					//$gen_key = wc_licensing_genkey($product_id, $orid, $email, $expiry, $allow, $invoice, 1);
					$gen_key = wls_licensing_genkey($product_id, $orid, $email, $expiry, $allow, $invoice, 1);
				}
				else{
					$gen_key = $wpdb->query("UPDATE {$wpdb->prefix}licensing SET status = '1' WHERE order_id = '".$orid."' AND product = '{$product_id}' AND expire = '{$expiry}' AND allowed = '{$allow}'");
				}	
			}
		}			
	}

	/**
	 * Update the order meta with field value
	 **/
	
	function wls_domname_field_update_order_meta( $order_id ) {
		if ($_POST['wls_domname']){
			$ddomain		= "http://";
			$ddomains		= "https://";
			$ddomainw		= "www.";
			$ddomainx		= "/";
			if($ddomains !== false){ $domains = str_replace("https://", "" , $_POST['wls_domname']);}
			if($ddomain !== false){ $domainx = str_replace("http://", "" , $domains);}
			if($ddomainx !== false){ $domainw = str_replace("/", "" , $domainx);}
			if($ddomainw !== false){ $domain = str_replace("www.", "" , $domainw);}
			$validdomain	= $domain;
		
			update_post_meta( $order_id, 'Domain Name', esc_attr($validdomain));
		}
	}
	
	/**
	* Display field value on the order edition page
	**/
	 
	function wls_domname_field_display_admin_order_meta($order){
		global $wpdb;
		$domain = '';
		$arid = array("WC", $order->get_order_number());
		$orid =  implode("-", $arid);
		$chk = $wpdb->get_var("SELECT COUNT(id) AS total FROM {$wpdb->prefix}licensing WHERE order_id = '".$orid."'");
		$lic_result = $wpdb->get_results("SELECT * FROM {$wpdb->prefix}licensing WHERE order_id = '".$orid."'");
	
		if($chk):
			foreach ($lic_result as $lickey) {
				$expired = ($lickey->expire < time() && $lickey->expire != 0);
				if($lickey->allowed == 1){$ip_address = ' ('. $lickey->validip .')';}else{$ip_address = '';}
				if($lickey->expire == 0){$date = 'Lifetime License';}else{$date = date("d/m/Y H:i",$lickey->expire);}
				
				echo '<p><strong>'.__('Product Name').':</strong> '. get_the_title($lickey->product) .'<br />';
				echo '<strong>'.__('License Key').':</strong> '. $lickey->license .'<br />';
				echo '<strong>'.__('License Status').': </strong>';
				if(!$expired) { if($lickey->status == 1) { echo "<a href='admin.php?page=licensing_manager&suspend=".$lickey->id."' title='Suspend License Key'>Active</a>"; } else if($lickey->status == 0){ echo "<a href='admin.php?page=licensing_manager&activate=".$lickey->id."' title='Activate License Key'>Deactive</a>"; } else if($lickey->status == 2) { echo "<a href='admin.php?page=licensing_manager&del=".$lickey->id."' title='Delete License Key'>Suspended</a>"; }else if($lickey->status == 3) { echo "Pending"; } }else{echo "Expired";}		
				echo '<br /><strong>'.__('Expiry on').': </strong>';
				echo $date;
				echo '<br /><strong>'.__('Allowed Domain').': </strong>';
				if($lickey->allowed == 0) {echo "Unlimited"; }else { echo $lickey->allowed; if($lickey->allowed == 1){ echo "&nbsp;Domain"; }elseif($lickey->allowed > 1 ){ echo"&nbsp;Domains";}}
				echo '</p>';
			}
		endif;

	}

	//add_filter('woocommerce_email_order_meta_keys', 'wls_custom_checkout_field_order_meta_keys');
	 
	function wls_custom_checkout_field_order_meta_keys( $keys ) {
		$keys[] = 'Domain Name';
		return $keys;
	}

	function wls_custom_style_checkout_email($order) {
		global $wpdb;
		$arid = array("WC", $order->get_order_number());
		$orid =  implode("-", $arid);
		$chk = $wpdb->get_var("SELECT COUNT(id) AS total FROM {$wpdb->prefix}licensing WHERE order_id = '".$orid."'");
		$lic_result = $wpdb->get_results("SELECT * FROM {$wpdb->prefix}licensing WHERE order_id = '".$orid."'");
		
		if($chk):
		
		echo '<h2>' . __( 'License information', 'wpls' ) . '</h2>';

		echo '
			<table style="width:100%;border:1px solid #eee" border="1" cellpadding="6" cellspacing="0">
				<thead>
					<tr>
						<th scope="col" style="text-align:left;border:1px solid #eee">Product Name</th>
						<th scope="col" style="text-align:left;border:1px solid #eee">License Key</th>
						<th scope="col" style="text-align:left;border:1px solid #eee">Status/<br />Expiration</th>
					</tr>
				</thead>
				<tbody>
		';
			
			foreach ($lic_result as $lickey) {		

				$expired = ($lickey->expire < time() && $lickey->expire != 0);
				if($lickey->expire == 0){$date = 'Lifetime License';}else{$date = date("d/m/Y",$lickey->expire);}

				echo '
						<tr>
							<td style="text-align:left;vertical-align:middle;border:1px solid #eee;word-wrap:break-word">'.get_the_title($lickey->product).'</td>
							<td style="text-align:left;vertical-align:middle;border:1px solid #eee">'.$lickey->license.'</td>
							<td style="text-align:left;vertical-align:middle;border:1px solid #eee">';if(!$expired) { if($lickey->status == 1) { echo "Active"; } else if($lickey->status == 0){ echo "Deactive"; } else if($lickey->status == 2) { echo "Suspended"; }else if($lickey->status == 3) { echo "Pending"; } }else{echo "Expired";}echo'<br>'. $date . '</td>
						</tr>
				';	
		
			}
			
			echo '
					</tbody>
				</table>
			';
		endif;
		
	}

	function wls_custom_checkout_details( $order_id ) {
		global $wpdb;
		
		$order = new WC_Order( $order_id );
		$arid = array("WC", $order_id->id);
		$orid =  implode("-", $arid);
		$chk = $wpdb->get_var("SELECT COUNT(id) AS total FROM {$wpdb->prefix}licensing WHERE order_id = '".$orid."'");
		$lic_result = $wpdb->get_results("SELECT * FROM {$wpdb->prefix}licensing WHERE order_id = '".$orid."'");
		
		if(!$chk) return;
		
			echo '<section class="woocommerce-wpls-details">';
			echo '<h2>' . __( 'License information', 'wpls' ) . '</h2>';
				echo '
					<table class="shop_table order_details">
						<thead>
							<tr>
								<th class="product-name">' . __( 'Product Name', 'wpls' ) . '</th>
								<th class="product-name">' . __( 'License Key', 'wpls' ) . '</th>
								<th class="product-total">' . __( 'Status/<br>Expiration', 'wpls' ) . '</th>
							</tr>
						</thead>
						<tbody>
				';
			foreach ($lic_result as $lickey) {
				$expired = ($lickey->expire < time() && $lickey->expire != 0);
				if($lickey->allowed == 1){$ip_address = ' ('. $lickey->validip .')';}else{$ip_address = '';}
				if($lickey->expire == 0){$date = 'Lifetime License';}else{$date = date("d/m/Y",$lickey->expire);}

				echo '
							<tr class="order_item">
								<td class="product-name">'.get_the_title($lickey->product).'</td>
								<td class="product-name">'.$lickey->license.'</td>
								<td class="product-total">';if(!$expired) { if($lickey->status == 1) { echo "Active"; } else if($lickey->status == 0){ echo "Deactive"; } else if($lickey->status == 2) { echo "Suspended"; }else if($lickey->status == 3) { echo "Pending"; } }else{echo "Expired";}echo'<br>'. $date . '</td>
							</tr>
				';
			}
				echo '
						</tbody>
					</table>
				';
			echo '</section>';
	}	

	function wls_wc_options_tab() {
		echo '<li class="variations_product_tab variations_options"> <a href="#wls_addons" title="'.__( 'Licensing System Setting', 'wpls' ).'"><span>'.__('Licensing', 'wpls').'</span></a></li>';
	}
	
	function wls_wc_options() {
		global $wpdb, $post;
		$con = $wpdb->get_row("SELECT * FROM {$wpdb->prefix}licensing_setting WHERE id = '1'");
		$types = explode("|", $con->dexpire);
		$allowed = explode("|", $con->allowed);
        $wls_tab_options = array(
                'enable' => get_post_meta($post->ID, '_wls_tab_enabled', true),
                'multip' => get_post_meta($post->ID, '_wls_multi_product', true),
                'expiry' => get_post_meta($post->ID, '_wls_license_expiry', true),
                'allow' => get_post_meta($post->ID, '_wls_license_allow', true),
                'code' => get_post_meta($post->ID, 'wpls_code', true),
        );
		
		?>

			<div id="wls_addons" class="panel woocommerce_options_panel">
				<div class="options_group">
                	<p class="form-field">
                    	<?php woocommerce_wp_checkbox( array( 'id' => '_wls_tab_enabled', 'label' => __('Enable Licensing System?', 'wpls'), 'description' => __('Check this to enable the Licensing System On this product.', 'wpls') ) ); ?>
                        <br />
                        <?php woocommerce_wp_checkbox( array( 'id' => '_wls_multi_product', 'label' => __('Support Multi Product?', 'wpls'), 'description' => __('Check this to enable multi product support for license key. (Product code will be obtained during license check)', 'wpls') ) ); ?>
					</p>
                </div>

                <div class="options_group wls_addon">
					<p class="form-field">
						<b><?php _e('This default setting for Licensing System, it will be replaced with product variations. Please read <a href="'.LICENSEMANAGER_LOCATION.'/documentation/index.html#!/woo" target="_blank">Documentation</a> for Instruction', 'wpls'); ?></b>
					</p>

                    <p class="form-field">
						<label for="expiry"><?php _e('License expiry:', 'wpls'); ?></label>
						<select name="_wls_license_expiry" id="expiry">
							<option value="">-- <?php _e('License Expiry', 'wpls'); ?> --</option>
							<?php foreach((array) $types as $type): ?>
							<option value="<?php echo wls_expiryTime($type);?>" <?php if($wls_tab_options['expiry'] == wls_expiryTime($type)) echo ' selected="selected"';?>><?php if($type == 0) {echo "Lifetime License"; }else { echo $type; }  ?></option>
							<?php endforeach; ?>
						</select>
                    </p>
                    <p class="form-field">    
						<label for="allow"><?php _e('Allowed Domain:', 'wpls'); ?></label>
						<select name="_wls_license_allow" id="allow">
							<option value="">-- <?php _e('Allowed Domain', 'wpls'); ?> --</option>
							<?php foreach((array) $allowed as $allow): ?>
							<option value="<?php echo $allow;?>" <?php if(@$wls_tab_options['allow'] == $allow) echo 'selected="selected"';?>><?php if($allow == 0) {echo "Unlimited"; }else { echo $allow; if($allow == 1){ echo "&nbsp;Domain"; }elseif($allow > 1 ){ echo"&nbsp;Domains";}} ?></option>
							<?php endforeach; ?>
						</select>
					</p>

                    <p class="form-field">    
						<label for="code"><?php _e('Product Code:', 'wpls'); ?></label>
                        <input name="wpls_code" id="code" type="text" class="input" value="<?php echo @$wls_tab_options['code'];?>" />
					</p>
				</div>		
			</div>
	<?php
	
	}
		
}

function process_product_meta_wls_option_tabs( $post_id ) {
        update_post_meta( $post_id, '_wls_tab_enabled', $_POST['_wls_tab_enabled']);
        update_post_meta( $post_id, '_wls_multi_product', $_POST['_wls_multi_product']);
        update_post_meta( $post_id, '_wls_license_expiry', $_POST['_wls_license_expiry']);
        update_post_meta( $post_id, '_wls_license_allow', $_POST['_wls_license_allow']);
        update_post_meta( $post_id, '_wpls_code', $_POST['wpls_code']);
        update_post_meta( $post_id, 'wpls_code', $_POST['wpls_code']);
}
add_action('woocommerce_process_product_meta', 'process_product_meta_wls_option_tabs', 10, 2);


function wls_demo_tab() {
	if(get_wpls_option('wls_wc_demotab') == '1')
		echo '<li class="linked_product_tab linked_product_options"> <a href="#wls_demo_tab_option"><span>'.__('WLS Demo', 'wpls').'</span></a></li>';
}

add_action('woocommerce_product_write_panel_tabs', 'wls_demo_tab');

function wls_demo_tab_options() {
	global $post;
        
	if(get_wpls_option('wls_wc_demotab') == '1'){
		
        $wls_demo_tab_options = array(
                'titleb' => get_post_meta($post->ID, 'wls_demo_tab_title', true),
                'contentb' => get_post_meta($post->ID, 'wls_demo_tab_content', true),
        );
        
	?>
        <div id="wls_demo_tab_option" class="panel woocommerce_options_panel">
        	<div class="options_group">
            	<p class="form-field">
                	<?php woocommerce_wp_checkbox( array( 'id' => 'wls_demo_tab_enabled', 'label' => __('Enable WLS Demo Tab?', 'wpls'), 'description' => __('Enable this option to enable the wls demo url tab on the frontend.', 'wpls') ) ); ?>
				</p>
			</div>
            <div class="options_group wls_demo_tab_options">
            	<p class="form-field">
                	<label><?php _e('Demo Tab Title:', 'wpls'); ?></label>
                    <input type="text" size="5" name="wls_demo_tab_title" value="<?php echo @$wls_demo_tab_options['titleb']; ?>" placeholder="<?php _e('Enter your WLS Demo tab title', 'wpls'); ?>" />
				</p>
                <p class="form-field">
                	<?php _e('Demo Tab Content:', 'wpls'); ?>
                </p>
                
                <table class="form-table">
                	<tr>
                    	<td>
							<?php
                                $settings = array(
                                             'text_area_name'=> 'wls_demo_tab_content',
                                             'quicktags'     => true,
                                             'tinymce'       => true,
                                             'media_butons'  => false,
                                             'textarea_rows' => 98,
                                             'editor_class'  => 'contra',
                                             'editor_css'    => '<style>#wp-wls_demo_tab_options-editor-container .wp-editor-area{height:250px; width:100%;} #wls_demo_tab_option .quicktags-toolbar input {width:auto;}</style>'
                                              );
                                                            
                                $id = 'wls_demo_tab_content';
              
                                wp_editor($wls_demo_tab_options['contentb'],$id,$settings);
            
                            ?>
						</td>
					</tr>
				</table>
        	</div>
        </div>
<?php

	}
}

add_action('woocommerce_product_write_panels', 'wls_demo_tab_options');

function process_product_meta_wls_demo_tab( $post_id ) {
	update_post_meta( $post_id, 'wls_demo_tab_enabled', ( isset($_POST['wls_demo_tab_enabled']) && $_POST['wls_demo_tab_enabled'] ) ? 'yes' : 'no' );
    update_post_meta( $post_id, 'wls_demo_tab_title', $_POST['wls_demo_tab_title']);
    update_post_meta( $post_id, 'wls_demo_tab_content', $_POST['wls_demo_tab_content']);
}

add_action('woocommerce_process_product_meta', 'process_product_meta_wls_demo_tab', 10, 2);

add_filter( 'woocommerce_product_tabs', 'woocommerce_product_wls_demo_tab' ); 
function woocommerce_product_wls_demo_tab( $tabs ) {
	global $post, $product;

    $wls_demo_tab_options = array(
    	'enabled' => get_post_meta($post->ID, 'wls_demo_tab_enabled', true),
        'titleb' => get_post_meta($post->ID, 'wls_demo_tab_title', true),
        'contentb' => get_post_meta($post->ID, 'wls_demo_tab_content', true),                      
	);
                        
	if($wls_demo_tab_options['titleb']) $wls_demo_title = $wls_demo_tab_options['titleb'];
	else $wls_demo_title = "Demo page";
	
	if ( $wls_demo_tab_options['enabled'] == 'yes' && get_wpls_option('wls_wc_demotab') == '1' ){
		$tabs['wls_demo_tabs'] = array(
			'title'   => $wls_demo_title,
			'id' => 'test_multicheckbox',
			'priority' => 35,
			'callback' => 'wls_demo_product_tabs_panel_content',
			'content'  => $wls_demo_tab_options['contentb']
		);
	}
	
	return $tabs;
}
  
function wls_demo_product_tabs_panel_content( $key, $wls_demo_tab_options ) {
	global $post, $product;
	
	$wls_demo_tab_content = array(
		'enabled' => get_post_meta($post->ID, 'wls_demo_tab_enabled', true),
		'titleb' => get_post_meta($post->ID, 'wls_demo_tab_title', true),
		'contentb' => get_post_meta($post->ID, 'wls_demo_tab_content', true),
	);
	
	$demos = get_post_meta($post->ID, 'wls_demo_tab_content', true);
	$nsoutput = do_shortcode( $demos ) ;
	echo '<h2>' . $wls_demo_tab_content['titleb'] . '</h2>';
	print autolink($nsoutput);
}

function wls_redirect_to_checkout( $url ) {
    global $woocommerce;

    // Remove default cart message
    $woocommerce->clear_messages();

    // Redirect to checkout
    $url = $woocommerce->cart->get_checkout_url();

    return $url;
}

add_filter('single_add_to_cart_text', 'woo_buy_now_button_text');

function woo_buy_now_button_text() {
	return __('Buy now', 'wpls'); 
}

function cart_is_not_empty ( $url ) {
    global $woocommerce;

	if (sizeof($woocommerce->cart->cart_contents) > 0 ) {
		$woocommerce->clear_messages();
	    $url = $woocommerce->cart->get_checkout_url();
	?>
	<script type="text/javascript">
		<!--
			window.location= '<?php echo $url;?>';
		//-->
	</script>
<?php

	}
}

function wls_cart_button () {
	global $woocommerce;
	?>
	<a class="button" href="<?php echo $woocommerce->cart->get_checkout_url()?>" title="<?php _e('Checkout','woothemes')?>"><?php _e('Checkout','woothemes')?></a>
	<?php
}

function wls_cart_notice () {
	global $woocommerce;
	$notice = "<b>" ._e('You\'ve added product on your cart, just go to pay now :)', 'wpls') . "</b>";
}

function wls_remove_loop_button(){
	global $woocommerce;
	
	if (sizeof($woocommerce->cart->cart_contents) > 0 ) {
		remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10 );
		remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_add_to_cart', 30 );
	}
}

function wls_add_loop_button(){
	global $woocommerce;
	
	if (sizeof($woocommerce->cart->cart_contents) > 0 ) {

		add_action( 'woocommerce_after_shop_loop_item', 'wls_cart_button', 10 );
		add_action( 'woocommerce_single_product_summary', 'wls_cart_notice', 8 );
		add_action( 'woocommerce_single_product_summary', 'wls_cart_button', 30 );
	
	}
}

/*
if(get_wpls_option('wls_forcesingle') == '1'){
	add_filter( 'add_to_cart_redirect', 'wls_redirect_to_checkout' );
	add_action('woocommerce_cart_contents', 'cart_is_not_empty');
	add_action('init','wls_add_loop_button');
	add_action('init','wls_remove_loop_button');
}
*/

add_action( 'init', 'create_wpls_product_attribute' );

function create_wpls_product_attribute() {	
	global $wpdb;
	
	$set = $wpdb->get_row("SELECT * FROM {$wpdb->prefix}licensing_setting WHERE id = '1'");
	
	$check =  $wpdb->get_var( "SELECT COUNT(*) FROM {$wpdb->prefix}woocommerce_attribute_taxonomies WHERE attribute_name = 'license-expiry'");
	if($check < 1){
		$insert = $wpdb->insert(
			$wpdb->prefix . 'woocommerce_attribute_taxonomies',
			array(
				'attribute_label'   => 'License Expiry',
				'attribute_name'    => 'license-expiry',
				'attribute_type'    => 'select',
				'attribute_orderby'    => 'menu_order',
				'attribute_public'  => 1
			)
		);
	}

	if ( is_wp_error( $insert ) ) {
		throw new WC_API_Exception( 'woocommerce_api_cannot_create_product_attribute', $insert->get_error_message(), 400 );
	}
	
	$expiries = array(
		array('name' => '3 Days', 'slug' => '3-days'),
		array('name' => '1 Week', 'slug' => '1-week'),
		array('name' => '1 Month', 'slug' => '1-month'),
		array('name' => '3 Months', 'slug' => '3-months'),
		array('name' => '6 Months', 'slug' => '6-months'),
		array('name' => '1 Year', 'slug' => '1-year'),
		array('name' => 'Lifetime', 'slug' => 'lifetime'),
	);
	
	foreach($expiries as $expiry){
		wp_insert_term( $expiry['name'], 'pa_license-expiry', array('slug' => $expiry['slug']) );
	}
		
	$check =  $wpdb->get_var( "SELECT COUNT(*) FROM {$wpdb->prefix}woocommerce_attribute_taxonomies WHERE attribute_name = 'allowed-domain'");
	if($check < 1){
		$insert = $wpdb->insert(
			$wpdb->prefix . 'woocommerce_attribute_taxonomies',
			array(
				'attribute_label'   => 'Allowed Domain',
				'attribute_name'    => 'allowed-domain',
				'attribute_type'    => 'select',
				'attribute_orderby'    => 'menu_order',
				'attribute_public'  => 1
			)
		);
	}
		
	if ( is_wp_error( $insert ) ) {
		throw new WC_API_Exception( 'woocommerce_api_cannot_create_product_attribute', $insert->get_error_message(), 400 );
	}
	
	$allowens = array(
		array('name' => '1 Domain', 'slug' => '1-domain'),
		array('name' => '3 Domains', 'slug' => '3-domains'),
		array('name' => '5 Domains', 'slug' => '5-domains'),
		array('name' => '10 Domains', 'slug' => '10-domains'),
		array('name' => 'Unlimited', 'slug' => 'unlimited'),
	);
	
	foreach($allowens as $allow){
		wp_insert_term( $allow['name'], 'pa_allowed-domain', array('slug' => $allow['slug']) );
	}
	
	// Clear transients
	delete_transient( 'wc_attribute_taxonomies' );
	
}

function wls_replaceTime($string) {
	$tags = array(strtolower("Year"), strtolower("Years"), strtolower("Month"), strtolower("Months"), strtolower("Week"), strtolower("Weeks"), strtolower("Day"), strtolower("Days"));
	$vals = array("365", "365", "30", "30", "7", "7", "1", "1");

	$string = str_replace($tags, $vals, strtolower($string));
	return $string;
}

function wls_expiryTime($string) {
	$tags = array(strtolower("Year"), strtolower("Years"), strtolower("Month"), strtolower("Months"), strtolower("Week"), strtolower("Weeks"), strtolower("Day"), strtolower("Days"));
	$vals = array("365", "365", "30", "30", "7", "7", "1", "1");

	list($count, $time) = explode(' ', $string);
	$time = str_replace($tags, $vals, strtolower($time));
	$time = (empty($time)?'1':$time);
	$times = $count * $time;
		
	return $times;
}

function wpls_generate_wc_download($order_id, $product_id, $user_email){
	global $wpdb, $woocommerce;
	$sql = "SELECT * FROM {$wpdb->prefix}woocommerce_downloadable_product_permissions WHERE order_id = '{$order_id}' AND product_id = '{$product_id}' AND user_email = '{$user_email}'";
	$file_exist = $wpdb->get_var($sql);
	if( $file_exist ){
		$result = $wpdb->get_results($sql);
		$files = array();
		foreach( $result as $res){
			$files[$res->download_id] = add_query_arg( array('download_file' => $res->product_id, 'order' => $res->order_key, 'email' => $res->user_email, 'key' => $res->download_id), home_url( '/' ) );
		}
		
		return $files;
	}
	
	return false;
}

?>