<?php
/*
*
* WP Licensing system Plugin WordPress
* It doesn't work witout WP Licensing System Installed On your Wordpress Blog
* File Name: license.conf.class.php
* All Right reserved by law, You're not authorized to modified, edit, or distribute without right!
* (c) WPDeveloper, CV. 2013
*
*/
if (!defined('ABSPATH')){
	header("HTTP/1.0 404 Not Found");
	exit('<h1>Not Found</h1>The requested URL '.$_SERVER['SCRIPT_NAME'].' was not found on this server.'); //Exit if accessed directly
}

function check_serial_valid($action = 'verify') {
	$serial = get_wpls_option('wls_license');
	$email = get_wpls_option('wls_email');
	$authorize = authorize_action($serial, $email, $action);
	if($authorize->valid){
		update_wpls_option('wls_allow_pr', 10);
		update_wpls_option('wls_allow_lc', 250);
		return true;
	}
	return false;
}

function authorize_action( $purchase_code = '', $email = '', $action = 'verify' ) {
	global $wp_version;
	
	$domain = home_url();
	$api_params = array(
		'action' => $action, 
		'purchase_code' => $purchase_code,
		'email' => $email,
		'domain' => $domain,
		'product' => 3720528,
		'validip' => isset($_SERVER['SERVER_ADDR']) ? $_SERVER['SERVER_ADDR'] : $_SERVER['LOCAL_ADDR']
	);
	
	$request = add_query_arg( $api_params, 'http://licen.us/envato/verify.php' );
	$response = wp_remote_post( $request, array( 'timeout' => 15, 'sslverify' => false ) );
	
	if ( is_wp_error( $response ) )
		return false;
			
	$authorize_data = json_decode( wp_remote_retrieve_body( $response ) );
	if(empty($authorize_data) || $authorize_data === NULL || $authorize_data === false) return false;				
	update_wpls_option('wpls_authorized_status', $authorize_data->valid);
	return $authorize_data;
}

function do_generate($_key){
	global $wpdb;
	$total = $wpdb->get_var("SELECT COUNT(id) AS total FROM {$wpdb->prefix}licensing");
	$count = get_wpls_option('wls_allow_lc');

	return true;
	
	if( ($count < $total && $count != '0') || ($count == $total && $count != '0') ){
		return false;
	}
}

function wls_serial_valid() {
	return get_wpls_option('wpls_authorized_status', false);
}

function wpls_verify_js(){
?>
<script>
	jQuery('#wpls-verify').on('submit', function(e){
		e.preventDefault();
		var action = jQuery('#wpls-action').val(),
			email = jQuery('#wpls-email').val(),
			code = jQuery('#wpls-license').val();
			
		jQuery.ajax({
			type: "POST",
			url : '<?=admin_url('admin-ajax.php');?>',
			data: {'action' : action, 'email' : email, 'code': code},
			beforeSend: function(){
				jQuery('#saveS').prop('disabled', true).val('Please wait..');
			},
			success : function(data){
				var btn_value = 'Activate';
				if(data.valid){
					if(action == 'license_activate'){
						var btn_value = 'Deactivate';
						jQuery('#wpls-action').val('license_deactivate');
						jQuery('.pesan').html('<span style="color:green;">Congratulation, your license already activated</span>');
					}
					else{
						jQuery('#wpls-action').val('license_activate');
						jQuery('.pesan').html('<span style="color:green;">Congratulation, your license successful deactivated</span>');
					}
					location.reload();
				}
				else{
					jQuery('.pesan').html('<span style="color:red;">Error, your license is invalid!</span>');
				}
				
				jQuery('#saveS').prop('disabled', false).val(btn_value);
			}
		});
	});
</script>
<?php

}

add_action('admin_footer', 'wpls_verify_js', 999);
add_action( 'wp_ajax_license_activate', 'wpls_license_activate' );
add_action( 'wp_ajax_license_deactivate', 'wpls_license_deactivate' );

function wpls_license_activate(){
	if(isset($_POST['email']) && isset($_POST['code'])){
		$return = authorize_action( $_POST['code'], $_POST['email'], 'activate' );
		if($return->valid){
			update_wpls_option('wls_license', $_POST['code']);
			update_wpls_option('wls_email', $_POST['email']);
		}
		header('Content-type: application/json');
		echo json_encode($return, JSON_PRETTY_PRINT);
		die();
	}
}

function wpls_license_deactivate(){
	if(isset($_POST['email']) && isset($_POST['code'])){
		$return = authorize_action( $_POST['code'], $_POST['email'], 'deactivate' );
		if($return->valid){
			update_wpls_option('wls_license', '');
			update_wpls_option('wls_email', '');
			update_wpls_option('wpls_authorized_status', false);
		}
		header('Content-type: application/json');
		echo json_encode($return, JSON_PRETTY_PRINT);
		die();
	}
}

add_filter( 'cron_schedules', 'wpls_cron_schedule' );
add_action( 'wpls_cron_hook', 'check_serial_valid' );
	
if (!wp_next_scheduled( 'wpls_cron_hook' ) ) {
	wp_schedule_event( time(), 'wpls_cron_events', 'wpls_cron_hook' );
}

function wpls_cron_schedule( $schedules ) {
	$schedules['wpls_cron_events'] = array(
		'interval' => 43200, // Every 12 hours
		'display'  => __( 'Twice a day' ),
	);
	return $schedules;
}

?>